package redditi.ui.controller;

import java.util.List;

import redditi.model.CalcolatoreRedditi;
import redditi.model.TipologiaContribuente;

public class MyController extends Controller {

	public MyController(UserInteractor userInteractor,
			List<TipologiaContribuente> lista,
			CalcolatoreRedditi calcolatore) {
		super(userInteractor, lista, calcolatore);
	}
	
	
	@Override
	public String calcolaImpostaLorda(double reddito, double soglia) {
		return this.getCalcolatoreRedditi().formatta("Imposta lorda", this.getCalcolatoreRedditi().calcolaImpostaLorda(reddito, soglia));
	}

	@Override
	public String calcolaImpostaNetta(double spese, double percentuale) {
		return this.getCalcolatoreRedditi().formatta("imposta netta", this.getCalcolatoreRedditi().calcolaImpostaNetta(spese,percentuale));
	}
	
}
